Bug 50475 - src/glx/glxclient.h:54:30: fatal error: glapi/glapitable.h: No such file or directory
Summary: src/glx/glxclient.h:54:30: fatal error: glapi/glapitable.h: No such file or d...
Alias: None
Product: Mesa
Classification: Unclassified
Component: GLX (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium blocker
Assignee: mesa-dev
QA Contact:
Depends on:
Reported: 2012-05-29 14:00 UTC by Vinson Lee
Modified: 2012-06-01 09:13 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:

repair scons breakage (9.05 KB, patch)
2012-05-30 09:36 UTC, Brian Paul
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2012-05-29 14:00:26 UTC
$ scons
  Compiling src/glx/dri2.c ...
In file included from src/glx/dri2.c:43:0:
src/glx/glxclient.h:54:30: fatal error: glapi/glapitable.h: No such file or directory
compilation terminated.
scons: *** [src/glx/dri2.os] Error 1
scons: building terminated because of errors.

0ce0f7c0c8fa9902678af7f3ecad2541be5808d2 is the first bad commit
commit 0ce0f7c0c8fa9902678af7f3ecad2541be5808d2
Author: Eric Anholt <eric@anholt.net>
Date:   Tue May 15 13:06:22 2012 -0700

    mesa: Remove the generated glapi from source control, and just build it.

    Mesa already always depends on python to build.  The checked in
    changes are not reviewed (because any trivial change rewrites the
    world).  We also have been pushing commits between xml change and
    regen where at-build-time xml-generated code disagrees with committed
    xml-generated code.  And worst of all, sometimes we ("I") check in
    *stale* xml-generated code.

    Acked-by: Ian Romanick <ian.d.romanick@intel.com>

:100644 100644 5ccf77d6593a24b02baa295268862df84a02e21c ca2220f70f7a2336cde7ea4307ecd7aa74c3f661 M      configure.ac
:040000 040000 c7429b4f2bdf2c1f3f5f8d2bf9b11edc8ba1dede 4084ebe0756ee4b5fd3416a08b861ce43074f29a M      src
bisect run success
Comment 1 Brian Paul 2012-05-30 08:04:21 UTC
I'm working on fixing the Scons build.  It might take a little while...
Comment 2 Brian Paul 2012-05-30 09:36:27 UTC
Created attachment 62293 [details] [review]
repair scons breakage

Vinson, can you try this patch?  I haven't tested it much but the build seems to work.
Comment 3 Brian Paul 2012-06-01 09:13:42 UTC
This should be fixed with commit 091a61a8d5468365ec2ade2535dc8c439095cf18

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.